---
title: DOMPoint.z
slug: Web/API/DOMPoint/z
tags:
  - API
  - Coordinate
  - DOM
  - DOMPoint
  - Depth
  - Geometry
  - Geometry Interfaces
  - Point
  - Position
  - Property
  - Reference
  - z
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>DOMPoint</strong></code> interface's <code><strong>z</strong></code> property specifies the depth coordinate of a point in space.</span> Unless transforms have changed the orientation, a <code>z</code> of 0 is the plane of the screen, with positive values extending outward toward the user from the screen, and negative values receding into the distance behind the screen.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>zPos</em> = <em>DOMPoint</em>.z;</pre>

<h3 id="Value">Value</h3>

<p>A double-precision floating-point value indicating the <em>z</em> coordinate's value for the point. This value is <strong>unrestricted</strong>, meaning that it is allowed to be infinite or invalid (that is, its value may be {{jsxref("NaN")}} or {{jsxref("Infinity", "±Infinity")}}).</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#dom-dompoint-z', 'z')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMPointReadOnly.z")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The other coordinate properties: {{domxref("DOMPoint.x", "x")}}, {{domxref("DOMPoint.y", "y")}}, and the perspective value, {{domxref("DOMPoint.w", "w")}}.</li>
</ul>
